Subject: bug#25437: closed (Re: bug#25437: awesome breaks on configuration reload)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jan 2021 12:35:02 +0000

Your bug report

#25437: awesome breaks on configuration reload

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25437: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25437
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25437: awesome breaks on configuration reload
From: zimoun <[email-masked]>
To: ng0 <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Jan 2021 13:32:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Thu, 03 Dec 2020 at 00:49, zimoun <[email-masked]> wrote:

> This old bug #25437 is about issue with the Awesome Window Manager and
> the restart.
>
>    <http://issues.guix.gnu.org/issue/25437>
>
> I have not read any recent user complaint about this.  And because of…
>
> On Fri, 13 Jan 2017 at 15:19, ng0 <[email-masked]> wrote:
>
>> At the moment I can't provide logs.
>
> …and no news since more than 3 years, and in conjunction with the recent
> [1], if no one provides more, I am proposing to close it.

On Thu, 03 Dec 2020 at 00:58, zimoun <[email-masked]> wrote:

> This old bug #29276 is about Awesome Window Manager reload the config.
>
>    <http://issues.guix.gnu.org/issue/29276>
>
>
> On Sun, 12 Nov 2017 at 22:24, ng0 <[email-masked]> wrote:
>> It's already an improvement from the last version
>> of awesome, but here's what I found just now (no logs):
>>
>> log in to awesome
>> press 'Control-Super-r'
>>
>> expected: reload awesome config
>> actual behavior: "login command not found" message before taking you to SLIM again.
>>
>> I'm not volunteering to fix this, I'm no longer using awesome :)
>
> Is it an issue for an AwesomeWM user?  Otherwise, since it is 3 years
> old and not commented, I am proposing to close it.

So I am closing.  If I have missed something, please reopen it.

All the best,
smon

Subject: awesome breaks on configuration reload
From: ng0 <[email-masked]>
To: [email-masked]
Date: Fri, 13 Jan 2017 15:19:38 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

To reproduce, configure a VM or your system with awesome
available, press <CTRL><SUPER><r> (where SUPER is usually META4),
or do a right click on the desktop and select: awesome -> restart

The normal use is, you changed something in your
~/.config/awesome/rc.lua and you reload the config by instructing
awesome to restart. There has been a big change with the move to
4.0 and prior to that, but I doubt they changed the behavior of
this command.
What happens with our current package is that your session
terminates and you get back to the login screen.

It must be some problem with lua or lua modules, because when you
have lua (just lua) in your profile, you get to see a message
(OSD) "unable to login" or something like that.

At the moment I can't provide logs.
-- 
♥Ⓐ  ng0 -- https://www.inventati.org/patternsinthechaos/